PostgreSQL 7.2.1 Documentation
Prev |  | Next

# DROP INDEX

## Name

DROP INDEX -- remove an index

## Synopsis

    DROP INDEX index_name [, ...]

### Inputs

`index_name`

  The name of an index to remove.

### Outputs

`DROP`

  The message returned if the command completes successfully.

`ERROR: index "`index_name`" does not exist`

  This message occurs if `index_name` is not an index in the database.

## Description

DROP INDEX drops an existing index from the database system. To execute this command you must be the owner of the index.

### Notes

DROP INDEX is a PostgreSQL language extension.

Refer to CREATE INDEX for information on how to create indexes.

## Usage

This command will remove the `title_idx` index:

        DROP INDEX title_idx;

## Compatibility

### SQL92

SQL92 defines commands by which to access a generic relational database. Indexes are an implementation-dependent feature and hence there are no index-specific commands or definitions in the SQL92 language.

Prev | Home | Next
DROP GROUP | Up | DROP LANGUAGE